### Method

# Camel MimeMessage set_message_id

#### Declaration [src]

    void
    camel_mime_message_set_message_id (
      CamelMimeMessage* message,
      const gchar* message_id
    )

#### Description [src]

Set the message-id on a message.

#### Parameters

`message_id`

  Type: `const gchar*`

  Id of the message, or `NULL` to generate a new one using the from address.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.